package com.galaxis.manatee.dao;

import com.galaxis.manatee.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.dto.ChuanyunMonthLaborCostWgDTO;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;

@Repository
public interface ChuanyunMonthLaborCostWgDao extends GalaxisRepository<ChuanyunMonthLaborCostWgDTO, String> {

    List<ChuanyunMonthLaborCostWgDTO> findAllByProjectCodeAndLogDateAndWorkGroupIdAndDepartment(String projectCode, LocalDateTime time, String workGroupId, String department);

    List<ChuanyunMonthLaborCostWgDTO> findAllByProjectCodeAndLogDateAndWorkGroupId(String projectCode, LocalDateTime time, String workGroupId);

    List<ChuanyunMonthLaborCostWgDTO> findAllByProjectCode(String projectCode);

}
