package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.galaxis.manatee.capsule.bo.ChuanyunObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import javax.persistence.Transient;
import java.util.List;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_SUB_PROJECT")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunSubProjectDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789Scfbt1yz0d3lufomimxlyb0cn3";

    @JsonProperty("F0000056")
    private String mainProject;

    @JsonProperty("F0000003")
    private String projectName;

    @JsonProperty("F0000002")
    private String projectCode;

    @JsonProperty("F0000005")
    private String projectType;

    @JsonProperty("F0000033")
    private String bg;

    @JsonProperty("F0000031")
    private String projectManagerProgress;

    @JsonProperty("F0000048")
    private String projectDeliverySchedule;

    @JsonProperty("F0000054")
    private String signingCompany;

    @JsonProperty("F0000060")
    private String departmentHead;

    @JsonProperty("F0000057")
    private String projectManager;

    @JsonProperty("OwnerDeptId")
    private String projectManagerDepartment;

    private String projectMember;

    @Transient
    @JsonProperty("F0000034")
    private String[] projectMemberList;

    @Transient
    @JsonProperty("F0000034Object")
    private List<ChuanyunObject> projectMemberObject;



}
