package com.galaxis.manatee.Test;


import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunProjectDO;
import com.galaxis.manatee.entity.chuanyun.dto.ChuanyunFindAllBizDTO;
import com.galaxis.manatee.entity.chuanyun.dto.Filter;
import com.galaxis.manatee.manager.ChuanYunManager;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;
import java.util.Objects;

@SpringBootTest
public class ChangeHistoryWorkHourTest {

    @Autowired
    private ChuanYunManager chuanYunManager;

    @Test
    public void changeTest() {

        // 查询总表表objectId
        List<ChuanyunProjectDO> chuanyunProjectDOS = findByProjectCode("D18045");

        System.out.println(chuanyunProjectDOS);


    }

    private List<ChuanyunProjectDO> findByProjectCode(String projectCode) {
        List<String> m = List.of("F0000002_2," + projectCode);
        Filter instance = Filter.instance(0, 10, true, Filter.AND, m);
        ChuanyunFindAllBizDTO<Object> chuanYunManagerAll = null;
        try {
            chuanYunManagerAll = chuanYunManager.findAll(ChuanyunProjectDO.SCHEMA_CODE, instance);
        } catch (JsonProcessingException e) {
            e.printStackTrace();
        }
        if (!Objects.isNull(chuanYunManagerAll)) {
            if (chuanYunManagerAll.getSuccessful() && !Objects.isNull(chuanYunManagerAll.getReturnData())) {
                List<Object> bizObjectArray = chuanYunManagerAll.getReturnData().getBizObjectArray();
                ObjectMapper objectMapper = new ObjectMapper();
                List<ChuanyunProjectDO> projectDOList = objectMapper.convertValue(bizObjectArray, new TypeReference<>() {
                });

                if (!Objects.isNull(projectDOList)) {
                    return projectDOList;
                }
            }

        }

        return null;

    }
}
