package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunMaintenanceProDO extends BasicSubDO {
    //属性
    @JsonProperty("F0000084")
    private String proProperty;

    //交付内容
    @JsonProperty("F0000085")
    private String proContent;

    //系统版本
    @JsonProperty("F0000086")
    private String proVersion;

    //维保承接负责人
    @JsonProperty("F0000087")
    private String maintenanceChargeMan;

    //备注
    @JsonProperty("F0000088")
    private String remark;
}
