package com.galaxis.manatee.Test.project;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunProjectOrganizationStructureDO;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunWorkGroupDO;
import com.galaxis.manatee.entity.chuanyun.dto.ChuanyunFindAllBizDTO;
import com.galaxis.manatee.entity.chuanyun.dto.Filter;
import com.galaxis.manatee.manager.ChuanYunManager;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@SpringBootTest
public class GetRepeatUser {

    @Autowired
    private ChuanYunManager chuanYunManager;

    @Test
    public void getData() {


        //从氚云查询数据
        var filter = Filter.instance(0, 500, true);
        ChuanyunFindAllBizDTO<Object> chuanyunFindAllResponse = null;
        try {
            chuanyunFindAllResponse = chuanYunManager.findAll(ChuanyunProjectOrganizationStructureDO.SCHEMA_CODE, filter);
        } catch (JsonProcessingException e) {
            e.printStackTrace();
        }
        ObjectMapper objectMapper = new ObjectMapper();
        //转化为POJO
        List<ChuanyunProjectOrganizationStructureDO> result = objectMapper.convertValue(chuanyunFindAllResponse.getReturnData().getBizObjectArray(), new TypeReference<>() {
        });


        for (ChuanyunProjectOrganizationStructureDO chuanyunProjectOrganizationStructureDO : result) {
            List<ChuanyunWorkGroupDO> workGroup = chuanyunProjectOrganizationStructureDO.getWorkGroup();
            ArrayList<String> list = new ArrayList<>();
//            for (ChuanyunWorkGroupDO chuanyunWorkGroupDO : workGroup) {
//                List<String> subWorkGroupMember = chuanyunWorkGroupDO.getSubWorkGroupMember();
//                for (String name : subWorkGroupMember) {
//                    if (list.contains(name)) {
//                        System.out.println(chuanyunProjectOrganizationStructureDO.getProjectCode()+ "---" + chuanyunProjectOrganizationStructureDO.getProjectName() + "---" + chuanyunProjectOrganizationStructureDO.getProjectType());
//                    }
//                    list.add(name);
//                }
//            }
        }


        log.info("完成");
    }
}
